#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            time
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/time

Name:           golang-org-x-%{repo}-rate
Version:        0.0.0+git20161028.f51c127
Release:        2.1
Summary:        Go supplementary time packages
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang(golang.org/x/net/context)
Requires:       golang(golang.org/x/net/context)

%{go_nostrip}
%{go_provides}

%description
Package rate provides a rate limiter.

%prep
%setup -q -n %{repo}-%{version}
rm -rf tests

%build
%goprep %{import_path}
%gobuild ./...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS CONTRIBUTORS

%changelog
* Thu Feb  9 2017 thipp@suse.de
- Fix import path
* Thu Feb  9 2017 thipp@suse.de
- Initial commit
